@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import "../support/_processes-mixins.scss";

.yw-processes-header {
    height: $processes__header--height;
    padding: $processes__header--padding;
    background-color: $processes__header--bg-color;
    overflow: hidden;

    &-title {
        color: white;
        font-weight: bold;
        line-height: $processes__header--line-height;
        margin-left: $processes__header-title--margin-left;
        float: left;
    }
    &-right-pack {
        display: inline;
    }
    &-close-btn {
        line-height: $processes__header--line-height;
        img {
            height: $processes__header-button--size;
        }
        padding: $processes__header-close-button--padding;
    }
    &-settings-btn {
        &:hover {
            background-color: transparent;
        }
        img {
            height: $processes__header-button--size;
        }
    }
}

.yw-processes-open-btn {
    &.yw-processes-unseen,
    &-spin {
        .z-toolbarbutton-content {
            position: relative;
            @include _addIndicatorDot($processes__header-process-icon-unseen--bg-color, $processes__header-process-icon-spinner--bg-color);
        }
        &:hover,
        &:focus,
        &:active {
            .z-toolbarbutton-content {
                &, &:before {
                    background-color: inherit;
                }
            }
        }
    }
    &-spin {
        &.yw-processes-unseen {
            .z-toolbarbutton-content:after {
                background: transparent;
            }
        }
        .z-toolbarbutton-content {
            &:before {
                top: $processes__header-process-icon-spinner--top;
                right: $processes__header-process-icon-spinner--right;
                width: $processes__header-process-icon-spinner-before--size;
                height: $processes__header-process-icon-spinner-before--size;
                border-radius: ($processes__header-process-icon-spinner-before--size/2);
                animation: rotate $processes__header-process-icon-spinner--animation-duration infinite linear;
                background-image: url('images/icon_processes_spin.svg');
                background-repeat: no-repeat;
                background-position: center;
            }
            &:after {
                display: none;
            }
        }
    }
}

@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

